
package com.americamovil.dda._1.enviaposicionpo;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.americamovil.dda._1.enviaposicionpo package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _MTPosicionPORes_QNAME = new QName("http://americamovil.com/DDA/1/EnviaPosicionPO", "MT_PosicionPO_res");
    private final static QName _MTCreaPosicionPOReq_QNAME = new QName("http://americamovil.com/DDA/1/EnviaPosicionPO", "MT_CreaPosicionPO_req");
    private final static QName _MTMovimientoFinalPO_QNAME = new QName("http://americamovil.com/DDA/1/EnviaPosicionPO", "MT_MovimientoFinalPO");
    private final static QName _MTModificaPosicionPO_QNAME = new QName("http://americamovil.com/DDA/1/EnviaPosicionPO", "MT_ModificaPosicionPO");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.americamovil.dda._1.enviaposicionpo
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DTCreaPosicionPOReq }
     * 
     */
    public DTCreaPosicionPOReq createDTCreaPosicionPOReq() {
        return new DTCreaPosicionPOReq();
    }

    /**
     * Create an instance of {@link DTCreaPosicionPOReq.PedidoCompra }
     * 
     */
    public DTCreaPosicionPOReq.PedidoCompra createDTCreaPosicionPOReqPedidoCompra() {
        return new DTCreaPosicionPOReq.PedidoCompra();
    }

    /**
     * Create an instance of {@link DTPosicionPORes }
     * 
     */
    public DTPosicionPORes createDTPosicionPORes() {
        return new DTPosicionPORes();
    }

    /**
     * Create an instance of {@link DTModificaPosicionPO }
     * 
     */
    public DTModificaPosicionPO createDTModificaPosicionPO() {
        return new DTModificaPosicionPO();
    }

    /**
     * Create an instance of {@link DTModificaPosicionPO.Registro }
     * 
     */
    public DTModificaPosicionPO.Registro createDTModificaPosicionPORegistro() {
        return new DTModificaPosicionPO.Registro();
    }

    /**
     * Create an instance of {@link DTMovimientoFinalPO }
     * 
     */
    public DTMovimientoFinalPO createDTMovimientoFinalPO() {
        return new DTMovimientoFinalPO();
    }

    /**
     * Create an instance of {@link DTMovimientoFinalPO.Registro }
     * 
     */
    public DTMovimientoFinalPO.Registro createDTMovimientoFinalPORegistro() {
        return new DTMovimientoFinalPO.Registro();
    }

    /**
     * Create an instance of {@link DTCreaPosicionPOReq.PedidoCompra.Item }
     * 
     */
    public DTCreaPosicionPOReq.PedidoCompra.Item createDTCreaPosicionPOReqPedidoCompraItem() {
        return new DTCreaPosicionPOReq.PedidoCompra.Item();
    }

    /**
     * Create an instance of {@link DTPosicionPORes.Respuesta }
     * 
     */
    public DTPosicionPORes.Respuesta createDTPosicionPOResRespuesta() {
        return new DTPosicionPORes.Respuesta();
    }

    /**
     * Create an instance of {@link DTModificaPosicionPO.Registro.Posicion }
     * 
     */
    public DTModificaPosicionPO.Registro.Posicion createDTModificaPosicionPORegistroPosicion() {
        return new DTModificaPosicionPO.Registro.Posicion();
    }

    /**
     * Create an instance of {@link DTMovimientoFinalPO.Registro.Item }
     * 
     */
    public DTMovimientoFinalPO.Registro.Item createDTMovimientoFinalPORegistroItem() {
        return new DTMovimientoFinalPO.Registro.Item();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTPosicionPORes }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/EnviaPosicionPO", name = "MT_PosicionPO_res")
    public JAXBElement<DTPosicionPORes> createMTPosicionPORes(DTPosicionPORes value) {
        return new JAXBElement<DTPosicionPORes>(_MTPosicionPORes_QNAME, DTPosicionPORes.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTCreaPosicionPOReq }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/EnviaPosicionPO", name = "MT_CreaPosicionPO_req")
    public JAXBElement<DTCreaPosicionPOReq> createMTCreaPosicionPOReq(DTCreaPosicionPOReq value) {
        return new JAXBElement<DTCreaPosicionPOReq>(_MTCreaPosicionPOReq_QNAME, DTCreaPosicionPOReq.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTMovimientoFinalPO }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/EnviaPosicionPO", name = "MT_MovimientoFinalPO")
    public JAXBElement<DTMovimientoFinalPO> createMTMovimientoFinalPO(DTMovimientoFinalPO value) {
        return new JAXBElement<DTMovimientoFinalPO>(_MTMovimientoFinalPO_QNAME, DTMovimientoFinalPO.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTModificaPosicionPO }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/EnviaPosicionPO", name = "MT_ModificaPosicionPO")
    public JAXBElement<DTModificaPosicionPO> createMTModificaPosicionPO(DTModificaPosicionPO value) {
        return new JAXBElement<DTModificaPosicionPO>(_MTModificaPosicionPO_QNAME, DTModificaPosicionPO.class, null, value);
    }

}
